## Kommandodateimodus

Im Kommandodateimodus wird eine vom Benutzer selbst verfasste Kommandodatei sequentiell abgearbeitet. Die Kommandodatei kann eine beliebige Sequenz aus Loader-Kommandos und SQL-Anweisungen enthalten.

### Verwendung

Sie können den Loader CLI im Kommandodateimodus starten. Geben Sie dazu folgendes Kommando ein:

loadercli –b <command_file>

Wenn Sie z.B. Verbindungsinformationen bereits bei Aufruf des Loader CLI übergeben möchten, verwenden Sie zusätzlich die entsprechenden Optionen.

loadercli –b <command_file>
[<connect_options>]
[<in_output_options]
[<version_options>]

### Funktionsumfang

Geben Sie nach der Option –b den Namen der Kommandodatei und optional die gewünschten Optionen zum Verbindungsaufbau, zur Ein- und Ausgabesteuerung und zu Versionsabfragen an.

command_file

<command_file> | Kommandodatei

siehe auch: Kommandodatei

connect_options

-d <database_name> | Name der Datenbankinstanz
-u <database_user>[,<password>] | Name des Datenbankbenutzers und sein Kennwort
-n <database_computer>[:<port>] | Name des Datenbankrechners Vorschlagswert: lokaler Rechner
-s <schema_name> | Name des Datenbankschemas Vorschlagswert: Schema des aktuellen Datenbankbenutzers
-e <encryption> | Verschlüsselungsmethode Möglicher Wert: SSL (momentan wird nur die SSL/TLS-Verschlüsselung in SAP-Systemen unterstützt)

siehe auch: Optionen für Verbindungsaufbau

in_output_options

-o[w|a] <file_name> | Name der Ausgabedatei
-cs <separator> | Angabe eines Kommandotrenners
-ps <number><string> | Angabe eines Ersetzungsparameters
-E <number> | Anzahl der maximal zulässigen Fehler

siehe auch: Optionen für Ein- und Ausgabe

version_options

-V | Version des Loader-Server
-v | Version des Loader CLI
-R <dependent_path> | Verzeichnis, das die von der Version der Datenbanksoftware abhängigen Programme enthält

siehe auch: Optionen zum Ermitteln von Versionsinformationen

### Beispiele

loadercli -b command.dat -d demodb -u mona,red –E 20

Der Loader stellt eine Verbindung zur Datenbankinstanz DEMODB für den Benutzer MONA her. Der Loader arbeitet die in der Kommandodatei command.dat enthaltenen Kommandos und SQL-Anweisungen ab.

Wenn dabei Fehler (Returncode <> 0) auftreten, wird die Abarbeitung abgebrochen, sobald 20 Fehlermeldungen aufgetreten sind.

Weitere Beispiele finden Sie im Loader-Tutorial, Kommandodateimodus.

### Erläuterung

Der Loader liest die Kommandos und SQL-Anweisungen aus der angegebenen Kommandodatei <command_file> und übermittelt diese an den Loader-Server.

Eine Kommandodatei kann auch durch Generieren der Entwurfsdaten im Transportmodus erzeugt werden.

Siehe auch:

Aufrufoptionen des Loader CLI

Protokolldatei